Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.actions
Class ActionLog

    java.lang.Object
      |
      +--weblogic.event.actions.ActionLog

public class ActionLog
extends java.lang.Object
implements ActionDef

Class for creating an Action that logs the occurrence of an event. A simple action method prettyprints the event and the action into the log.

Author:
  Copyright (c) 1996-1998, WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventServicesDef`, `EventRegistrationDef`

Constructor Summary
`ActionLog()`

Method Summary
`void` | `action(EventMessageDef ev)` Writes a log message for the specified event.
`void` | `registerInit(ParamSet params)` Registers an Action with the specified set of parameters.
`void` | `setServices(T3ServicesDef services)` Saves the services object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionLog

    public ActionLog()

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Saves the services object. Provides a handle to a services object.
  Specified by:
    setServices in interface ActionDef

  Parameters:
    `services` - T3ServicesDef object

### registerInit

    public void registerInit(ParamSet params)

  Registers an Action with the specified set of parameters.
  Specified by:
    registerInit in interface ActionDef

  Parameters:
    `params` - ParamSet object

### action

    public void action(EventMessageDef ev)

  Writes a log message for the specified event. param ev EventMessage object
  Specified by:
    action in interface ActionDef

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD